Reply
Solved! Go to solution

Coincident Plane

Hello alltogether,

if i place holes manually, i can choose "coincident" plane to place the holes. At the moment, if i want to place holes via api, i search for a suitable face and then add a parallel plane with zero distance by RefPlanes.AddParallelByDistance method. Then i place the profile with the holes2d on this plane.

Is there a way to put the profile for the holes2d directly on a face?

Can i convert/cast a face to/in a refplane?

Greetings from Germany
Christian Kunkel
https://c-k-m.info
3 REPLIES

Re: Coincident Plane

Hi Christian.

   

So the manual method is also creating a separate reference plane even though coincident and not using the face directly to place the hole on. And who knows it might be just a parallel plane with 0 distance in the manual method too. So casting does not seem to be a possibility.

   

Apart from the fact that API created holes add an additional reference plane entry in the PathFinder, are you looking at any thing else, like speed and performance enhancement by circumventing the reference plane creation for a hole.

 

I agree the PathFinder looks cluttered when there are several holes created using the API Smiley Happy

  

~Tushar

 

Re: Coincident Plane

[ Edited ]

Hi Christian,

Solid Edge API "Objects" cannot inherit from other since they are wrapper to the elements of the COM interface.

They all inherit from .NET Object.

 

My test of creating an offset RefPlane shows, that it is not displayed in Feature Pathfinder, if you dont set the parameter Local:=False.

Here my test code:

 

Dim RPlanes As SEPart.RefPlanes
   Dim PPlane As SEPart.RefPlane
 
   RPlanes = sePart.RefPlanes
   Debug.Print(RPlanes.Count)
 
   PPlane = RPlanes.AddParallelByDistance(RPlanes.Item(1), 0.01, SolidEdgePart_PBU.ReferenceElementConstants.igNormalSide)
   Debug.Print(RPlanes.Count)
   Debug.Print(PPlane.Name)
 
   PPlane = RPlanes.AddParallelByDistance(RPlanes.Item(1), 0.01, SolidEdgePart_PBU.ReferenceElementConstants.igNormalSide, Local:=False)
 
   Debug.Print(RPlanes.Count)
   Debug.Print(PPlane.DisplayName)

 The first plane is not visible, the second is show in graphic and Pathfinder.

I tried this in ST8 and ST9.

regards

JB
VS2015, SE ST10
Solution
Solution
Accepted by topic author ckunkel72
‎08-16-2016 07:41 AM

Re: Coincident Plane

Hello Tushar, Hello JB,

sorry for my late answer. I allready hide the planes in path finder, that's not the problem. But if you edit the hole feature after automatic creation, you can see the zero dimension of the parallel plane.

I only wanted to assure that i don't miss a function to create a coincident plane.

Greetings from Germany
Christian Kunkel
https://c-k-m.info